import { ValueObject } from '@mobicoop/ddd-library';

/** Note:
 * Value Objects with multiple properties can contain
 * other Value Objects inside if needed.
 * */

export interface CoordinatesProps {
  lon: number;
  lat: number;
}

export class Coordinates extends ValueObject<CoordinatesProps> {
  get lon(): number {
    return this.props.lon;
  }

  get lat(): number {
    return this.props.lat;
  }

  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  protected validate(props: CoordinatesProps): void {
    return;
  }
}
