import { ResponseBase } from '@mobicoop/ddd-library';
import { Frequency, Status } from '@modules/ad/core/domain/ad.types';

export class AdResponseDto extends ResponseBase {
  userId: string;
  driver: boolean;
  passenger: boolean;
  status: Status;
  frequency: Frequency;
  fromDate: string;
  toDate: string;
  schedule: {
    day: number;
    time: string;
    margin: number;
  }[];
  seatsProposed: number;
  seatsRequested: number;
  strict: boolean;
  waypoints: {
    position: number;
    name?: string;
    houseNumber?: string;
    street?: string;
    postalCode?: string;
    locality?: string;
    country: string;
    lon: number;
    lat: number;
  }[];
}
